using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Windows.Forms;
using System.Xml.Serialization;

namespace GFXEditor
{
    static class Program
    {
        public static Options.Options m_Options = null;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            XmlSerializer xs = new XmlSerializer(typeof(Options.Options));
            using (StreamReader writer = new StreamReader("Options\\options.xml"))
                m_Options = (Options.Options)xs.Deserialize(writer);

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new wndMain());
        }
    }
}
